Subject: [os2genau_digest] No. 1989
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Fri, 23 Jul 2010 00:00:23 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Thursday 22 July 2010
 Number  1989
**************************************************

Subjects for today
 
1   BootManager : Alan Duval <amoht at westnet dot com dot au>
2  Re:  BootManager : Ed Durrant <edurrant at durrant dot mine dot nu>
3  Re:  BootManager : Mike O'Connor <mikeoc at internode.on dot net>

**= Email   1 ==========================**

Date:  Thu, 22 Jul 2010 09:09:24 +1000
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:   BootManager

I have just bought a new PC which has WIN 7 installed on a 500G Sata 
drive. I want to install eCS 2.0 and have read the Quick installation 
Guide which recommends resizing the Windows partition, installing 
BootManager and then making a logical partition to install eCS.
DFSee shows the HD to have Free space primary of 1MB, then a Primary 
Inst-FSys NTFS partition of 100MB with the Volume name "System Rescue", 
then a primary Inst-FSys NTFS partition of 476838 MB  and this is 
followed by free space  PRI/LOG of 6.4 MB.

If I resize the 476838 partition to allow installation of eCS where will 
BootManager be installed?
I had understood that BootManager had to be the first partition.
Has anyone installed eCS 2.0 to a HD where WIN 7 is already installed 
and if so  have you had any problems booting WIN 7?
Apparently it can make WIN 7 unbootable.

Also I would like to install Ubuntu 10.4 on the same disk and add it to 
BootManager. If I make a partition for Ubuntu and mark it as root will 
Grub 2 be put in that partition or does Ubuntu put Grub at the start of 
the HD?

Regards,

Alan Duval
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   2 ==========================**

Date:  Thu, 22 Jul 2010 20:05:42 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  BootManager

Alan Duval wrote:
> I have just bought a new PC which has WIN 7 installed on a 500G Sata 
> drive. I want to install eCS 2.0 and have read the Quick installation 
> Guide which recommends resizing the Windows partition, installing 
> BootManager and then making a logical partition to install eCS.
> DFSee shows the HD to have Free space primary of 1MB, then a Primary 
> Inst-FSys NTFS partition of 100MB with the Volume name "System 
> Rescue", then a primary Inst-FSys NTFS partition of 476838 MB  and 
> this is followed by free space  PRI/LOG of 6.4 MB.
>
> If I resize the 476838 partition to allow installation of eCS where 
> will BootManager be installed?
> I had understood that BootManager had to be the first partition.
> Has anyone installed eCS 2.0 to a HD where WIN 7 is already installed 
> and if so  have you had any problems booting WIN 7?
> Apparently it can make WIN 7 unbootable.
>
> Also I would like to install Ubuntu 10.4 on the same disk and add it 
> to BootManager. If I make a partition for Ubuntu and mark it as root 
> will Grub 2 be put in that partition or does Ubuntu put Grub at the 
> start of the HD?
>
> Regards,
>
>
> Alan Duval
> --------------------------------------------------
> 
> http://www./melbpc/  -  The Melbourne OS/2 SIG
===
>
Hi Alan

  Note that you can only have 4 primary partitions on a drive. The IBM 
BM needs a Primary partition as does the extended partition that will 
include your logical drives. Often when you buy a system that has 
recovery and/or maintenance-utility partitions on the drive, you will 
find that you can reduce the size of the windows partition only to find 
that you cannot create a new partition in the freespace created!

Boot manager does not have to be the first partition on the drive. I 
often make it the last but I believe it can go anywhere as when you 
install it the boot sector on the drive is modified to jump to the Boot 
Manager whereever you put it.

If you hit the problem I described in the first paragraph, you may want 
to look at Airboot as your boot manager as it does not need a primary 
partition to work.

-- 
Cheers/eCS2.0

Ed

Please checkout my podcasts at:
http://eComStationAustralia.podbean dot com or via iTunes
To subscribe - click this: http://eComStationAustralia.podbean dot com/feed

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   3 ==========================**

Date:  Thu, 22 Jul 2010 21:33:41 +1000
From:  Mike O'Connor <mikeoc at internode.on dot net>
Subject:  Re:  BootManager

Ed Durrant wrote:
> Alan Duval wrote:
>> I have just bought a new PC which has WIN 7 installed on a 500G Sata 
>> drive. I want to install eCS 2.0 and have read the Quick installation 
>> Guide which recommends resizing the Windows partition, installing 
>> BootManager and then making a logical partition to install eCS.
>> DFSee shows the HD to have Free space primary of 1MB, then a Primary 
>> Inst-FSys NTFS partition of 100MB with the Volume name "System 
>> Rescue", then a primary Inst-FSys NTFS partition of 476838 MB  and 
>> this is followed by free space  PRI/LOG of 6.4 MB.
>>
>> If I resize the 476838 partition to allow installation of eCS where 
>> will BootManager be installed?
>> I had understood that BootManager had to be the first partition.
>> Has anyone installed eCS 2.0 to a HD where WIN 7 is already installed 
>> and if so  have you had any problems booting WIN 7?
>> Apparently it can make WIN 7 unbootable.
>>
>> Also I would like to install Ubuntu 10.4 on the same disk and add it 
>> to BootManager. If I make a partition for Ubuntu and mark it as root 
>> will Grub 2 be put in that partition or does Ubuntu put Grub at the 
>> start of the HD?
>>
> Hi Alan
>
>  Note that you can only have 4 primary partitions on a drive. The IBM 
> BM needs a Primary partition as does the extended partition that will 
> include your logical drives. Often when you buy a system that has 
> recovery and/or maintenance-utility partitions on the drive, you will 
> find that you can reduce the size of the windows partition only to 
> find that you cannot create a new partition in the freespace created!
>
> Boot manager does not have to be the first partition on the drive. I 
> often make it the last but I believe it can go anywhere as when you 
> install it the boot sector on the drive is modified to jump to the 
> Boot Manager whereever you put it.
>
> If you hit the problem I described in the first paragraph, you may 
> want to look at Airboot as your boot manager as it does not need a 
> primary partition to work.
>
>
Hi Alan, Ed,

Ed, doesn't Airboot have a problem with JFSBooting?

Although I haven't worked with Windows 7 (manipulated a disk with it 
installed on), I was under the impression that it also created an 
MSFT-specific primary partition (hidden - and which contains the real 
partitions on the disk - not the dummy MBR it shows third-party disk 
utilities)!

 From what you say there are currently only two primaries - you can 
ignore that first one of 1MB, (which leads me to think that this _is_ a 
GPT-partitioned disk, on which all cylinders are only 1MB, not the 
conventional 8MB when using geometry of 255 heads, 63 sectors per 
cylinder!), so that doesn't actually count as a primary, unless used by 
IBM BM in that position, BUT that assumes that IBM BM commences on head1 
of that cylinder.

So you should still be able to add IBM BM in the final cylinder of the 
disk, and create logical partitions for eCS and Linux in an extended 
primary (implicitly created when creating the logicals).

I haven't installed Ubuntu 10.4, so don't know whether that yet has the 
option during a (regular) installation to have GRUB located within its 
own partition, rather than the default location of adjacent to the MBR 
sector (the first on the disk). some other Linux distributions do give 
one that option (e.g. PCLinuxOS), which doesn't screw up the Windows 7 
booting.

HTH

Regards,
Mike

-- 
Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------
Personal replies to any of : 
mikeoc (at) internode (dot) on (dot) net
mikeoc (at) austarnet (dot) com (dot) au
majilok (at) gmail (dot) com
[Please ZIP any attachments, other than GIF/JPG or plain-text]
If you are missing a response from me - check Tweed Heads WX status at:
http://www.bom.gov.au/products/IDR663.loop.shtml#skip

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===